Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class Uris

    java.lang.Object
      net.fortuna.ical4j.util.Uris

    public final class Uris

extends Object

Utility methods for working with URIs.

Author:
  Ben Fortuna

Method Summary
`static URI` | `create(String s)` Attempts to create a URI instance and will optionally swallow any resulting URISyntaxException depending on configured `CompatibilityHints`.
`static String` | `decode(String s)` Decodes the specified URI string using the UTF-8 charset.
`static String` | `encode(String s)` Encodes the specified URI string using the UTF-8 charset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### encode

    public static String encode(String s)

  Encodes the specified URI string using the UTF-8 charset. In the event that an exception is thrown, the specifed URI string is returned unmodified.

  Parameters:
    `s` - a URI string
  Returns:
    an encoded URI string

### decode

    public static String decode(String s)

  Decodes the specified URI string using the UTF-8 charset. In the event that an exception is thrown, the specifed URI string is returned unmodified.

  Parameters:
    `s` - a URI string
  Returns:
    an encoded URI string

### create

    public static URI create(String s)
                      throws URISyntaxException

  Attempts to create a URI instance and will optionally swallow any resulting URISyntaxException depending on configured `CompatibilityHints`. Will also automatically attempt encoding of the string representation for greater compatibility.

  Parameters:
    `s` - a string representation of a URI.
  Returns:
    a URI instance, or null if a valid URI string is not specified and relaxed parsing is enabled.
  Throws:
    `URISyntaxException` - if a valid URI string is not specified and relaxed parsing is disabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.